Bug 1026109 - add jemalloc-devel to BuildRequires
add jemalloc-devel to BuildRequires
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 14:46 EST by Pablo Rodríguez
Modified: 2015-06-29 08:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:48:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Rodríguez 2013-11-03 14:46:31 EST
jemalloc really improves the runtime performance of gnash (https://savannah.gnu.org/bugs/index.php?39941#comment3).

My personal experience is a decrease in loading time from 24s to about 14s with a local copy of http://www.archive.org/download/Lessig-Free_Culture/lessig-freeculture.swf.

Couldn’t it be implemented in the rpm files?

Many thanks for your help,


Pablo
Comment 1 Pablo Rodríguez 2013-12-22 14:58:29 EST
Sorry, is there any news on this?
Comment 2 Pablo Rodríguez 2014-06-23 12:51:13 EDT
Sorry for bothering you again with this, Hicham.

Gnash developers recommend jemalloc-devel to compile Gnash, since it *really* improves its runtime performance.

Could you add this dependency to Gnash?

Many thanks for your help,

Pablo
Comment 3 Hicham HAOUARI 2014-06-25 04:20:52 EDT
Hi Pablo,

Sorry for the response delay, I haven't had much time since the last two years to work on anything in Fedora.

If you are a packager, I would gratefully give you commit access to gnash package so that you can add the requires build dependency. I was quite familiar the gnash buildsystem so I can guide you if you want to where you can enable this feature.

Thank you for reporting this issue.
Comment 4 Pablo Rodríguez 2014-06-25 14:37:08 EDT
Hi Hicham,

many thanks for your reply.

I’m afraid I’m not a packager. I’m only an average user user (I’m not even registered at FAS).

Sorry, I thought it was only a question of adding the following line to the spec file:

   BuildRequires: jemalloc-devel

But it seems I was totally wrong.

Many thanks for your help,


Pablo
Comment 5 Fedora End Of Life 2015-05-29 05:40:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:48:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.